Bug 427001 - notify-python not recognized by pkg-config
notify-python not recognized by pkg-config
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: notify-python (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-29 15:25 EST by john bray
Modified: 2008-01-02 17:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 17:55:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john bray 2007-12-29 15:25:55 EST
Description of problem:
/usr/bin/pkg-config does not recoginize that notify-python package is installed.

Version-Release number of selected component (if applicable):
notify-python-0.1.0-4.fc7.x86_64
[and pkgconfig-0.21-5.fc7.x86_64]

How reproducible:
100%

Steps to Reproduce:
1.pkg-config --exists --print-errors notify-python
2.
3.
  
Actual results:
[jmb@cheetah trunk]$ pkg-config --exists --print-errors notify-python
Package notify-python was not found in the pkg-config search path.
Perhaps you should add the directory containing `notify-python.pc'
to the PKG_CONFIG_PATH environment variable
No package 'notify-python' found

but note, for comparison:
[jmb@cheetah trunk]$ pkg-config --exists --print-errors gnome-python-2.0
[jmb@cheetah trunk]$ pkg-config --exists --print-errors nautilus-python
[jmb@cheetah trunk]$ rpm -q notify-python
notify-python-0.1.0-4.fc7.x86_64
[jmb@cheetah trunk]$ rpm -q --whatprovides /usr/bin/pkg-config
pkgconfig-0.21-5.fc7.x86_64


Expected results:
pkg-config recognizes the existence of the notify-python package.

Additional info:
Comment 1 john bray 2007-12-29 15:28:36 EST
oh.  sorry.  forgot to say that this results in autogen failing to generate
anything.
Comment 2 John Dennis 2008-01-02 17:55:53 EST
fixed in rawhide, notify-python-0.1.1-1.fc9
This also updates to the latest upstream

Note You need to log in before you can comment on or make changes to this bug.